Loading...
Searching...
No Matches
Dune::Functions::Experimental::SubDomainSkeleton< SubDomain > Class Template Reference

Class representing the skeleton of a subdomain. More...

`#include <dune/functions/common/subdomain.hh>`

## Public Types

using | Intersection = typename SubDomain::GridView::Intersection

## Public Member Functions

| SubDomainSkeleton (const SubDomain &subDomain)
| Create skeleton of a subdomain.
bool | contains (const Intersection &is) const
| Check if intersection is contained in the skeleton of the subdomain.

## Detailed Description

template<class SubDomain>
class Dune::Functions::Experimental::SubDomainSkeleton< SubDomain >

Class representing the skeleton of a subdomain.

Conceptually this represents a range of intersections.

## Member Typedef Documentation

## Intersection

template<class SubDomain>

using Dune::Functions::Experimental::SubDomainSkeleton< SubDomain >::Intersection = typename SubDomain::GridView::Intersection

## Constructor & Destructor Documentation

## SubDomainSkeleton()

template<class SubDomain>

Dune::Functions::Experimental::SubDomainSkeleton< SubDomain >::SubDomainSkeleton | ( | const SubDomain & | subDomain | ) |

inline

Create skeleton of a subdomain.

## Member Function Documentation

## contains()

template<class SubDomain>

bool Dune::Functions::Experimental::SubDomainSkeleton< SubDomain >::contains | ( | const Intersection & | is | ) | const

inline

Check if intersection is contained in the skeleton of the subdomain.

The documentation for this class was generated from the following file:

- subdomain.hh